Only in beebe: bintnx.h
Only in beebe: bintnxvm.h
diff -wc2 beebe/bitmap.h beebenew/bitmap.h
*** beebe/bitmap.h	Thu Mar 29 15:34:38 1990
--- beebenew/bitmap.h	Thu Aug  2 17:19:04 1990
***************
*** 60,64 ****
  
  UNSIGN32* bitmap = (UNSIGN32*)NULL;
  #define BITMAP(y,x) (bitmap + ((UNSIGN32)XBIT*(UNSIGN32)(y)) + (UNSIGN32)(x))
! 
  #endif /* SEGMEM */
--- 60,69 ----
  
  UNSIGN32* bitmap = (UNSIGN32*)NULL;
+ #if HPPAINTJET
+ #define BITMAP(p,y,x) (bitmap + \
+ 			   ((UNSIGN32)(p)*(UNSIGN32)XBIT*(UNSIGN32)YBIT) \
+                       + ((UNSIGN32)XBIT*(UNSIGN32)(y)) + (UNSIGN32)(x)) 
+ #else
  #define BITMAP(y,x) (bitmap + ((UNSIGN32)XBIT*(UNSIGN32)(y)) + (UNSIGN32)(x))
! #endif /* HPPAINTJET */
  #endif /* SEGMEM */
diff -wc2 beebe/clrbmap.h beebenew/clrbmap.h
*** beebe/clrbmap.h	Thu Mar 29 15:34:42 1990
--- beebenew/clrbmap.h	Thu Aug  2 17:19:05 1990
***************
*** 42,48 ****
      register UNSIGN32 *p;	/* bitmap pointer */
  
      p = (UNSIGN32*)BITMAP(YBIT-1,XBIT-1);	/* the last element */
  
!     for (nword = (XBIT*YBIT); nword; (--nword,--p))
  	*p = (UNSIGN32)0;
  
--- 42,53 ----
      register UNSIGN32 *p;	/* bitmap pointer */
  
+ #if HPPAINTJET
+     p = (UNSIGN32*)BITMAP(NPLANES-1,YBIT-1,XBIT-1);	/* the last */
+ 							/* element */ 
+ #else
      p = (UNSIGN32*)BITMAP(YBIT-1,XBIT-1);	/* the last element */
+ #endif
  
!     for (nword = (NPLANES*XBIT*YBIT); nword; (--nword,--p))
  	*p = (UNSIGN32)0;
  
Only in beebe: derun.h
Only in beebenew: diffs
diff -wc2 beebe/dispchar.h beebenew/dispchar.h
*** beebe/dispchar.h	Thu Mar 29 15:34:47 1990
--- beebenew/dispchar.h	Thu Aug  2 17:19:06 1990
***************
*** 127,131 ****
--- 127,135 ----
      {					/* top to bottom */
  	x = xcorner;			/* select horizontal position */
+ #if HPPAINTJET
+ 	p = BITMAP(plane,ycorner+j-1,x/HOST_WORD_SIZE); /* and find word on line */
+ #else
  	p = BITMAP(ycorner+j-1,x/HOST_WORD_SIZE); /* and find word on line */
+ #endif
  	ilimit = (UNSIGN16)((tcharptr->wp + 31) >> 5);
  	for (i = 0; i < ilimit; ++i)
Only in beebe: dvi.1
Only in beebenew: dvipj.c
Only in beebenew: dvipj.l
Only in beebe: dvitos.c
diff -wc2 beebe/fillrect.h beebenew/fillrect.h
*** beebe/fillrect.h	Thu Mar 29 15:34:55 1990
--- beebenew/fillrect.h	Thu Aug  2 17:19:09 1990
***************
*** 31,35 ****
--- 31,39 ----
  	    if (IN(0,y+j,YBIT-1))
  	    {
+ #if HPPAINTJET
+ 		p = BITMAP(plane,y+j,xlpart);
+ #else
  		p = BITMAP(y+j,xlpart);
+ #endif
  		if (IN(0,xlpart,XBIT-1))
  		    if (xlpart < xrpart) /* set bits in left partial word */
***************
*** 44,49 ****
--- 48,58 ----
  
  		/* finally, set bits in right partial word */
+ #if HPPAINTJET
  		if ((xlpart < xrpart) && IN(0,xrpart,XBIT-1))
+ 		    *BITMAP(plane,y+j,xrpart) |= ~rightones[xroffset];
+ #else
+ 		if ((xlpart < xrpart) && IN(0,xrpart,XBIT-1))
  		    *BITMAP(y+j,xrpart) |= ~rightones[xroffset];
+ #endif
  	    }
  	}
diff -wc2 beebe/gblprocs.h beebenew/gblprocs.h
*** beebe/gblprocs.h	Tue Mar 19 16:46:12 1991
--- beebenew/gblprocs.h	Thu Aug  2 17:19:10 1990
***************
*** 146,150 ****
  void	option(char *);
  
! #if    HPLASERJET
  void	outline(UNSIGN32 *);
  #else
--- 146,150 ----
  void	option(char *);
  
! #if    (HPLASERJET | HPPAINTJET)
  void	outline(UNSIGN32 *);
  #else
diff -wc2 beebe/gblvars.h beebenew/gblvars.h
*** beebe/gblvars.h	Tue Mar 19 16:46:30 1991
--- beebenew/gblvars.h	Thu Aug  2 17:19:10 1990
***************
*** 195,201 ****
  COORDINATE hh;			/* current horizontal position in pixels    */
  
! #if    HPLASERJET
! INT16 hpres;			/* output resolution (75, 100, 150, 300 dpi) */
  #endif /* HPLASERJET */
  
  UNSIGN32 img_mask[32];		/* initialized at run-time so that bit k    */
--- 195,206 ----
  COORDINATE hh;			/* current horizontal position in pixels    */
  
! #if    (HPLASERJET | HPPAINTJET)
! INT16 hpres;			/* output resolution (75, 100, 150, */
! 				/* 300 dpi) */
  #endif /* HPLASERJET */
+ 
+ #if HPPAINTJET
+ INT16 plane=0;                  /* colour plane */
+ #endif /* HPPAINTJET */
  
  UNSIGN32 img_mask[32];		/* initialized at run-time so that bit k    */
diff -wc2 beebe/getbmap.h beebenew/getbmap.h
*** beebe/getbmap.h	Thu Mar 29 15:34:58 1990
--- beebenew/getbmap.h	Thu Aug  2 17:19:10 1990
***************
*** 25,30 ****
--- 25,34 ----
      if (bitmap == (UNSIGN32*)NULL)
      {
+ #if HPPAINTJET
  	bitmap =
+ 	(UNSIGN32*)MALLOC(((UNSIGN32)(NPLANES))*((UNSIGN32)(XBIT))*((UNSIGN32)(YBIT))*sizeof(UNSIGN32));
+ #else
  	(UNSIGN32*)MALLOC(((UNSIGN32)(XBIT))*((UNSIGN32)(YBIT))*sizeof(UNSIGN32));
+ #endif
  	if (bitmap == (UNSIGN32*)NULL)
  	    (void)fatal(
Only in beebe: getlog.h
diff -wc2 beebe/main.h beebenew/main.h
*** beebe/main.h	Tue Mar 19 16:47:30 1991
--- beebenew/main.h	Thu Aug  2 17:19:12 1990
***************
*** 104,108 ****
  #endif /* (HPJETPLUS | POSTSCRIPT | IMPRESS | CANON_A2) */
  
! #if    TOSHIBAP1351			/* want to override STDMAG */
  #undef STDMAG
  
--- 104,108 ----
  #endif /* (HPJETPLUS | POSTSCRIPT | IMPRESS | CANON_A2) */
  
! #if    (TOSHIBAP1351 | HPPAINTJET)	/* want to override STDMAG */
  #undef STDMAG
  
diff -wc2 beebe/makefile beebenew/makefile
*** beebe/makefile	Tue Apr 10 12:06:41 1990
--- beebenew/makefile	Tue Feb 19 12:39:40 1991
***************
*** 17,20 ****
--- 17,22 ----
  # [20-Jul-87] -- added xxu and dvi.xrf
  
+ # dvipj added, Apr '90, d.love@daresbury.ac.uk
+ 
  # Default C compiler
  CC = cc
***************
*** 21,33 ****
  
  # Extra compiler options
! XCFLAGS = -g
  
  # Set paths according to your local conventions
! CFLAGS = -DFONTPATH="\"/usr/local/font/tex/pkb/\"" \
  	 -DSUBPATH="\"/usr/local/lib/tex/inputs/\"" \
  	 $(XCFLAGS)
- #CFLAGS = -DFONTPATH="\"/home/users0/fx/beebe/pjpk/\"" \
- #	 -DSUBPATH="\"/usr/local/lib/tex/inputs/\"" \
- #	 $(XCFLAGS)
  
  LINTFLAGS = -bchx
--- 23,32 ----
  
  # Extra compiler options
! XCFLAGS = -O
  
  # Set paths according to your local conventions
! CFLAGS = -DFONTPATH="\"/usr/local/lib/tex/fonts/pkb/\"" \
  	 -DSUBPATH="\"/usr/local/lib/tex/inputs/\"" \
  	 $(XCFLAGS)
  
  LINTFLAGS = -bchx
***************
*** 92,96 ****
  		dviimp dvijep dvijet dvil75 dvil3p dvim72\
  		dvimac dvimpi dvio72 dvioki dviprx dvitos\
! 		keytst lptops texidx tosprx
  	$(RM) -f .~* .#*
  
--- 91,95 ----
  		dviimp dvijep dvijet dvil75 dvil3p dvim72\
  		dvimac dvimpi dvio72 dvioki dviprx dvitos\
! 		keytst lptops texidx tosprx dvipj
  	$(RM) -f .~* .#*
  
Only in beebenew: makefile~
Only in beebe: pjpk
diff -wc2 beebe/prtpage.h beebenew/prtpage.h
*** beebe/prtpage.h	Thu Mar 29 15:35:14 1990
--- beebenew/prtpage.h	Thu Aug  2 17:19:14 1990
***************
*** 117,120 ****
--- 117,123 ----
  	    sp = 0;
  	    fontptr = (struct font_entry*)NULL;
+ #if HPPAINTJET
+ 	    plane = 0;  /* reset colour to black */ 
+ #endif
  	    break;
  
Only in beebenew: shar
diff -wc2 beebe/special.h beebenew/special.h
*** beebe/special.h	Thu Mar 29 15:35:27 1990
--- beebenew/special.h	Thu Aug  2 17:19:16 1990
***************
*** 1,14 ****
- /* -*-C-*- special.h */
- /*-->special*/
- /**********************************************************************/
- /****************************** special *******************************/
- /**********************************************************************/
- 
- void
- special(s)			/* process TeX \special{} string in s[] */
- register char *s;
- {
-     (void)sprintf(message,
- 	"special():  TeX \\special{%s} not implemented in this driver",s);
-     (void)warning(message);
- }
--- 0 ----
Only in beebenew: test.aux
Only in beebenew: test.log
diff -wc2 beebe/usage.h beebenew/usage.h
*** beebe/usage.h	Tue Mar 19 16:48:10 1991
--- beebenew/usage.h	Thu Aug  2 17:19:18 1990
***************
*** 51,54 ****
--- 51,62 ----
  #endif /* HPLASERJET */
  
+ #if     HPPAINTJET
+     (void)sprintf(message,
+         "Usage: %s {-a} {-b} {-d#} {-eENVNAME=value} {-ffontsubfile} \
+ {-l} {-m#} {-o#:#:#} {-o#:#} {-o#} {-p} {-r#} {-x#{units}} {-y#{units}} \
+ {-z} dvifile(s)",
+ g_progname);
+ #endif /* HPPAINTJET */
+ 
  #if    POSTSCRIPT
      (void)sprintf(message,
